Get a secret finding.
curl --request GET \
--url https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/findings/secret-exposures/{finding_uuid} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/findings/secret-exposures/{finding_uuid}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/findings/secret-exposures/{finding_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/findings/secret-exposures/{finding_uuid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"secret": {
"created_at": "2023-11-07T05:31:56Z",
"evidence": {},
"evidence_schema": "<string>",
"evidence_schema_version": 123,
"exposure_kind": "secret",
"finding_type": "secret",
"fingerprint": "<string>",
"first_seen_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by_membership_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"discovery_channel": "<string>",
"discovery_provider": "<string>",
"finding_key": "<string>",
"host": "<string>",
"location": "<string>",
"page_sha256": "<string>",
"port": 32768,
"protocol": "<string>",
"provider": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by_membership_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"service": "<string>",
"service_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_name": "<string>",
"source_ref": "<string>",
"subject": "<string>",
"target": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}Secret exposures
Get a secret finding.
GET
https://api.infrawatch.com/api/v1
/
projects
/
{project_uuid}
/
esi
/
findings
/
secret-exposures
/
{finding_uuid}
Get a secret finding.
curl --request GET \
--url https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/findings/secret-exposures/{finding_uuid} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/findings/secret-exposures/{finding_uuid}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/findings/secret-exposures/{finding_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/findings/secret-exposures/{finding_uuid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"secret": {
"created_at": "2023-11-07T05:31:56Z",
"evidence": {},
"evidence_schema": "<string>",
"evidence_schema_version": 123,
"exposure_kind": "secret",
"finding_type": "secret",
"fingerprint": "<string>",
"first_seen_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by_membership_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"discovery_channel": "<string>",
"discovery_provider": "<string>",
"finding_key": "<string>",
"host": "<string>",
"location": "<string>",
"page_sha256": "<string>",
"port": 32768,
"protocol": "<string>",
"provider": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by_membership_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"service": "<string>",
"service_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_name": "<string>",
"source_ref": "<string>",
"subject": "<string>",
"target": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}⌘I